import { AttachmentStatus, MessageAttachment, MessageAttachmentData, MessageStatus } from "./constants";
export declare class SendingAttachmentsHandler {
    #private;
    constructor(sendMessageAttachments: {
        send: () => Promise<MessageStatus>;
        cancel: (attachment: MessageAttachment) => Promise<AttachmentStatus>;
        waitAndGetMessageStatus: () => Promise<MessageStatus>;
        getAttachmentsData: () => MessageAttachmentData[];
    });
    sendAttachments(): Promise<MessageStatus>;
    cancelUploadAttachment(attachment: MessageAttachment): Promise<AttachmentStatus>;
    waitAndGetMessageStatus(): Promise<MessageStatus>;
    getAttachmentsPayload(): MessageAttachmentData[];
}
